Get campaign results
curl --request GET \
--url https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/analytics/summary \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/analytics/summary"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/analytics/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/analytics/summary",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/analytics/summary"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/analytics/summary")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/analytics/summary")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"totals": {
"total_leads": 0,
"in_progress": 0,
"not_started": 0,
"finished": 0,
"failed": 0,
"paused": 0,
"stopped": 0
},
"kpis": {
"connections_sent": 0,
"connections_accepted": 0,
"accept_rate": 0,
"messages_sent": 0,
"message_replies": 0,
"reply_rate": 0,
"inmails_sent": 0,
"inmail_replies": 0,
"profile_views": 0,
"post_likes": 0,
"follows": 0,
"contacted_leads": 0,
"messaged_leads": 0,
"invited_leads": 0,
"written_to": 0,
"accepted_leads": 0,
"tagged_leads": 0,
"interested_leads": 0,
"interested_rate": 0,
"edit_rate": 123
},
"meta": {
"status": "<string>",
"start_date": "2023-11-07T05:31:56Z",
"senders": [
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_name": "<string>"
}
],
"active": false
},
"time_series": [
{
"date": "<string>",
"connections_sent": 0,
"connections_accepted": 0,
"messages_sent": 0,
"message_replies": 0
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Campaigns
Get campaign results
Totals, rates and a daily series for one campaign.
GET
/
workflows
/
{workflow_id}
/
analytics
/
summary
Get campaign results
curl --request GET \
--url https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/analytics/summary \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/analytics/summary"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/analytics/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/analytics/summary",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/analytics/summary"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/analytics/summary")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/analytics/summary")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"totals": {
"total_leads": 0,
"in_progress": 0,
"not_started": 0,
"finished": 0,
"failed": 0,
"paused": 0,
"stopped": 0
},
"kpis": {
"connections_sent": 0,
"connections_accepted": 0,
"accept_rate": 0,
"messages_sent": 0,
"message_replies": 0,
"reply_rate": 0,
"inmails_sent": 0,
"inmail_replies": 0,
"profile_views": 0,
"post_likes": 0,
"follows": 0,
"contacted_leads": 0,
"messaged_leads": 0,
"invited_leads": 0,
"written_to": 0,
"accepted_leads": 0,
"tagged_leads": 0,
"interested_leads": 0,
"interested_rate": 0,
"edit_rate": 123
},
"meta": {
"status": "<string>",
"start_date": "2023-11-07T05:31:56Z",
"senders": [
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_name": "<string>"
}
],
"active": false
},
"time_series": [
{
"date": "<string>",
"connections_sent": 0,
"connections_accepted": 0,
"messages_sent": 0,
"message_replies": 0
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Your workspace's API key. It starts with b2b_sk_.
Path Parameters
Query Parameters
Only the last this many days.
Required range:
1 <= x <= 3650Only this sender.